/***************************************/
/*  Use MADS http://mads.atari8.info/  */
/*  Mode: GED- (bitmap mode)           */
/***************************************/

; RastaSlide viewer program adapted from "no_name" in RastaConverter by Ilmenit
; picture data only here

	icl "viewer.h"

	opt h-			; no headers - compressed data different header
	org pic

;--- start of compressed picture data
;pic

/////////////////////////
// PLAYER/MISSILE DATA //
/////////////////////////

;pmg
	SPRITES
	
////////////////////////
// SCREEN BITMAP DATA //
////////////////////////

	.ALIGN $1000
	:16 .byte 0
;scr
	IFT PIC_HEIGHT>=204
	ins "output.png.mic", 0, 8160
	:16 .byte 0
	ins "output.png.mic" , +8160
	ELS
	ins "output.png.mic"
	EIF

; pad picture size to maximum possible so raster program address is constant
; 240*40=9600 + 16 for 4K end padding

	:[9616-*+scr] .byte 0

////////////////////
// RASTER PROGRAM //
////////////////////
	
;raster_program

  icl "output.png.opt.ini"	; use optimized initial values

	:50 nop			; compressor friendly 100 cycle wait

  icl "output.png.opt"		; use optimized raster program
 
	rts

;---

	opt l-

.MACRO	SPRITES
	ins "output.png.pg"	; only player data, no missile
.ENDM

